Phar::getSupportedCompression
Phar::getVersion
Phar
PHP Manual

# Phar::getSupportedSignatures

(PECL phar:1.1.0-1.2.1)

Phar::getSupportedSignatures — Return array of supported signature types

### Description

array Phar::getSupportedSignatures ( void )

Return array of supported signature types

### Parameters

No parameters.

### Return Values

Returns an array containing any of "MD5", "SHA-1", "SHA-256", "SHA-512".

### See Also

- Phar::getSignature()
- Phar::setSignatureAlgorithm()

Phar::getSupportedCompression
Phar::getVersion
Phar
PHP Manual